What software is needed to access JIDS?

What software is needed to access JIDS?

JIDS is a web-based application that functions within a web browser.  JIDS supports Mozilla Firefox and Microsoft Internet Explorer 9.0 and above. 

In order to view the electronic forms, a user must have Adobe Acrobat Reader installed on their machine and set to open PDF documents within the web browser. Click here to download Adobe Acrobat Reader.

JIDS also requires Java and Adobe Flash Player:

Click here to determine whether or not you have Java installed. Click here to install the latest version of Java.

Click here to determine whether or not you have Adobe Flash Player installed. Click here to install the latest version of Adobe Flash Player.

 

JIDS also requires that session cookies are enabled on a user's browser. Click here to learn more.

Have more questions? Submit a request

0 Comments

Article is closed for comments.
Powered by Zendesk